Summary: The client and server programs for the telnet remote login protocol.
Name: telnet
Version: 0.10
Release: 31
Copyright: BSD
Group: Applications/Internet
Source0: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-telnet-0.10.tar.gz
Source1: telnet.wmconfig
Source2: telnet-client.tar.gz
Patch0: netkit-telnet-0.10-misc.patch
Patch1: netkit-telnet-0.10-openpty.patch
Patch2: telnet-0.10-maint.patch
Patch3: telnet-0.10-utmp.patch
Patch4: telnet-0.10-escapechar.patch
Patch5: telnetd-0.10-term.patch
Requires: inetd
Buildroot: /var/tmp/%{name}-root

%description
Telnet is a popular protocol for logging into remote systems over the
Internet.  The telnet package provides a command line telnet client as
well as a telnet daemon, which will support remote logins into the
host machine.  The telnet daemon is enabled by default.  You may
disable the telnet daemon by editing /etc/inetd.conf.

Install the telnet package if you want to telnet to remote machines
and/or support remote logins to your own machine.

%prep
%setup -q -n netkit-telnet-0.10
%patch0 -p1 -b .misc
%patch1 -p1 -b .openpty
%patch2 -p1 -b .maint
%patch3 -p1 -b .utmp
%patch5 -p1 -b .term

mv telnet telnet-NETKIT
%setup -T -D -q -a 2 -n netkit-telnet-0.10
%patch4 -p1 -b .escapechar

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
make INSTALLROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m644 $RPM_SOURCE_DIR/telnet.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/telnet

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Internet
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Internet/telnet.desktop << EOF
[Desktop Entry]
Name=telnet
Comment=text-mode telnet client
Icon=telnet.xpm
Exec=telnet
Type=Application
Terminal=1
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(missingok) /etc/X11/wmconfig/telnet
%config(missingok) /etc/X11/applnk/Internet/telnet.desktop
/usr/bin/telnet
/usr/man/man1/telnet.1
/usr/sbin/in.telnetd
/usr/man/man5/issue.net.5
/usr/man/man8/in.telnetd.8
/usr/man/man8/telnetd.8

%changelog
* Sat Sep 24 1999 Preston Brown <pbrown@redhat.com>
- red hat .desktop entry

* Sat Aug 21 1999 Jeff Johnson <jbj@redhat.com>
- rebuild for 6.1.

* Wed Aug 18 1999 Bill Nottingham <notting@redhat.com>
- don't trust random TERM variables in telnetd (#4560)

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- fix (#3098).

* Thu May 27 1999 Antti Andreimann <Antti.Andreimann@mail.ee>
- fixed the problem with escape character (it could not be disabled)
- changed the spec file to use %setup macro for unpacking telnet-client

* Thu Apr 15 1999 Jeff Johnson <jbj@redhat.com>
- use glibc utmp routines.

* Thu Apr  8 1999 Jeff Johnson <jbj@redhat.com>
- fix the fix (wrong way memcpy).

* Wed Apr  7 1999 Jeff Johnson <jbj@redhat.com>
- fix "telnet localhost" bus error on sparc64 (alpha?).

* Tue Apr  6 1999 Jeff Johnson <jbj@redhat.com>
- use OpenBSD telnet client (and fix minor core dump with .telnetrc #247)

* Thu Mar 25 1999 Erik Troan <ewt@redhat.com>
- use openpty in telnetd

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 24 1998 Cristian Gafton <gafton@redhat.com>
- compile C++ code using egcs

* Tue Apr 14 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
